/* Hexwars - A Hexagonal Turn Based Strategy Game
 * Copyright (C) 2009-2011  Patrik Schönfeldt
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef CLIENTMAINMENU_HPP
#define CLIENTMAINMENU_HPP

#include "../../shared/gui/Menu.hpp"
#include "../../shared/units/UnitContainer.hpp"
#include "../../shared/gui/BasicUserInterface.hpp"
#include "../../shared/gui/UIMenu.hpp"

class ClientMainMenu : public Menu{
public:
    ClientMainMenu(UIMenu* uim, UnitContainer* uc, PLAYER p);
    ~ClientMainMenu();
    void runItem(unsigned int, int);
private:
    UnitContainer* units;
    PLAYER plyr;

    void selectNextUnit();
    void selectPrevUnit();
};

#endif // CLIENTMAINMENU_HPP
